<template>
  <td>
    <div style="font-weight:bold;">{{ product.name }}</div>
    <div>{{ product.price.formatted }}</div>
    <div>{{ quantity }} left</div>

    <Purchase
        :product="product"
        :slot-index="slotIndex"
        :quantity="quantity"
        :accepted-money="acceptedMoney"
        @machine:purchased="data => $emit('machine:purchased', data)"
    />

  </td>
</template>

<script>
import Purchase from './Purchase';

export default {
  name: 'VendingMachineSlot',
  components: {
    Purchase,
  },
  props: {
    slotIndex: {
      type: String,
      required: true,
    },
    quantity: {
      type: Number,
      default: 0,
    },
    product: {
      type: Object,
      required: true,
    },
    acceptedMoney: {
      type: Array,
      default() {
        return [];
      },
    }
  },
};
</script>

<style scoped>
table {
  border-collapse: collapse;
  width: 50%;
}

table td {
  padding: 5px 10px;
  border: 1px solid;
  text-align: center;
}
</style>
